VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::OvfParams Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::OvfParams:

## Avaliable Methods
public method | set_type ()
public method | get_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::OvfParams` class defines the common fields for all OVF deployment parameters. OVF parameters serve several purposes:

- Describe information about a given OVF package.
- Describe default deployment configuration.
- Describe possible deployment values based on the deployment environment.
- Provide deployment-specific configuration.

Each OVF parameters class specifies a particular configurable aspect of OVF deployment. An aspect has both a query-model and a deploy-model. The query-model is used when the OVF package is queried, and the deploy-model is used when deploying an OVF package.

Most OVF parameter classes provide both informational and deployment parameters. However, some are purely informational (for example, download size) and some are purely deployment parameters (for example, the flag to indicate whether registration as a vCenter extension is accepted).

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::OvfParams::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::OvfParams::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::OvfParams structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::OvfParams');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.ovf_params');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::OvfParams::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/OvfParams.pm